# Silences ## List Silences `client.alerting.silences.list(SilenceListParamsparams, RequestOptionsoptions?): SinglePage` **get** `/accounts/{account_id}/alerting/v3/silences` Gets a list of silences for an account. ### Parameters - `params: SilenceListParams` - `account_id: string` The account id ### Returns - `SilenceListResponse` - `id?: string` Silence ID - `created_at?: string` When the silence was created. - `end_time?: string` When the silence ends. - `policy_id?: string` The unique identifier of a notification policy - `start_time?: string` When the silence starts. - `updated_at?: string` When the silence was modified. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const silenceListResponse of client.alerting.silences.list({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', })) { console.log(silenceListResponse.id); } ``` #### Response ```json { "errors": [ { "message": "message", "code": 1000 } ], "messages": [ { "message": "message", "code": 1000 } ], "success": true, "result": [ { "id": "f878e90c23f44126ae3cfc399f646977", "created_at": "2022-01-01T00:00:00Z", "end_time": "2022-01-01T00:00:00Z", "policy_id": "0da2b59ef118439d8097bdfb215203c9", "start_time": "2022-01-01T00:00:00Z", "updated_at": "2022-01-01T00:00:00Z" } ] } ``` ## Get Silence `client.alerting.silences.get(stringsilenceId, SilenceGetParamsparams, RequestOptionsoptions?): SilenceGetResponse` **get** `/accounts/{account_id}/alerting/v3/silences/{silence_id}` Gets a specific silence for an account. ### Parameters - `silenceId: string` Silence ID - `params: SilenceGetParams` - `account_id: string` The account id ### Returns - `SilenceGetResponse` - `id?: string` Silence ID - `created_at?: string` When the silence was created. - `end_time?: string` When the silence ends. - `policy_id?: string` The unique identifier of a notification policy - `start_time?: string` When the silence starts. - `updated_at?: string` When the silence was modified. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const silence = await client.alerting.silences.get('f878e90c23f44126ae3cfc399f646977', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(silence.id); ``` #### Response ```json { "errors": [ { "message": "message", "code": 1000 } ], "messages": [ { "message": "message", "code": 1000 } ], "success": true, "result": { "id": "f878e90c23f44126ae3cfc399f646977", "created_at": "2022-01-01T00:00:00Z", "end_time": "2022-01-01T00:00:00Z", "policy_id": "0da2b59ef118439d8097bdfb215203c9", "start_time": "2022-01-01T00:00:00Z", "updated_at": "2022-01-01T00:00:00Z" } } ``` ## Create Silences `client.alerting.silences.create(SilenceCreateParamsparams, RequestOptionsoptions?): SilenceCreateResponse` **post** `/accounts/{account_id}/alerting/v3/silences` Creates a new silence for an account. ### Parameters - `params: SilenceCreateParams` - `account_id: string` Path param: The account id - `body: Array` Body param - `end_time?: string` When the silence ends. - `policy_id?: string` The unique identifier of a notification policy - `start_time?: string` When the silence starts. ### Returns - `SilenceCreateResponse` - `errors: Array` - `message: string` - `code?: number` - `messages: Array` - `message: string` - `code?: number` - `success: true` Whether the API call was successful - `true` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const silence = await client.alerting.silences.create({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', body: [{}], }); console.log(silence.errors); ``` #### Response ```json { "errors": [ { "message": "message", "code": 1000 } ], "messages": [ { "message": "message", "code": 1000 } ], "success": true } ``` ## Update Silences `client.alerting.silences.update(SilenceUpdateParamsparams, RequestOptionsoptions?): SinglePage` **put** `/accounts/{account_id}/alerting/v3/silences` Updates existing silences for an account. ### Parameters - `params: SilenceUpdateParams` - `account_id: string` Path param: The account id - `body: Array` Body param - `id?: string` Silence ID - `end_time?: string` When the silence ends. - `start_time?: string` When the silence starts. ### Returns - `SilenceUpdateResponse` - `id?: string` Silence ID - `created_at?: string` When the silence was created. - `end_time?: string` When the silence ends. - `policy_id?: string` The unique identifier of a notification policy - `start_time?: string` When the silence starts. - `updated_at?: string` When the silence was modified. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const silenceUpdateResponse of client.alerting.silences.update({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', body: [{}], })) { console.log(silenceUpdateResponse.id); } ``` #### Response ```json { "errors": [ { "message": "message", "code": 1000 } ], "messages": [ { "message": "message", "code": 1000 } ], "success": true, "result": [ { "id": "f878e90c23f44126ae3cfc399f646977", "created_at": "2022-01-01T00:00:00Z", "end_time": "2022-01-01T00:00:00Z", "policy_id": "0da2b59ef118439d8097bdfb215203c9", "start_time": "2022-01-01T00:00:00Z", "updated_at": "2022-01-01T00:00:00Z" } ] } ``` ## Delete Silence `client.alerting.silences.delete(stringsilenceId, SilenceDeleteParamsparams, RequestOptionsoptions?): SilenceDeleteResponse` **delete** `/accounts/{account_id}/alerting/v3/silences/{silence_id}` Deletes an existing silence for an account. ### Parameters - `silenceId: string` Silence ID - `params: SilenceDeleteParams` - `account_id: string` The account id ### Returns - `SilenceDeleteResponse` - `errors: Array` - `message: string` - `code?: number` - `messages: Array` - `message: string` - `code?: number` - `success: true` Whether the API call was successful - `true` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const silence = await client.alerting.silences.delete('f878e90c23f44126ae3cfc399f646977', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(silence.errors); ``` #### Response ```json { "errors": [ { "message": "message", "code": 1000 } ], "messages": [ { "message": "message", "code": 1000 } ], "success": true } ``` ## Domain Types ### Silence List Response - `SilenceListResponse` - `id?: string` Silence ID - `created_at?: string` When the silence was created. - `end_time?: string` When the silence ends. - `policy_id?: string` The unique identifier of a notification policy - `start_time?: string` When the silence starts. - `updated_at?: string` When the silence was modified. ### Silence Get Response - `SilenceGetResponse` - `id?: string` Silence ID - `created_at?: string` When the silence was created. - `end_time?: string` When the silence ends. - `policy_id?: string` The unique identifier of a notification policy - `start_time?: string` When the silence starts. - `updated_at?: string` When the silence was modified. ### Silence Create Response - `SilenceCreateResponse` - `errors: Array` - `message: string` - `code?: number` - `messages: Array` - `message: string` - `code?: number` - `success: true` Whether the API call was successful - `true` ### Silence Update Response - `SilenceUpdateResponse` - `id?: string` Silence ID - `created_at?: string` When the silence was created. - `end_time?: string` When the silence ends. - `policy_id?: string` The unique identifier of a notification policy - `start_time?: string` When the silence starts. - `updated_at?: string` When the silence was modified. ### Silence Delete Response - `SilenceDeleteResponse` - `errors: Array` - `message: string` - `code?: number` - `messages: Array` - `message: string` - `code?: number` - `success: true` Whether the API call was successful - `true`